## mrmpi 1.0~20110620.dfsg

=== mpistubs/Makefile ===
# Makefile for MPI stubs - edit this for your platform

SHELL = /bin/sh
.IGNORE:

# Files

SRC =		mpi.c
INC =		mpi.h

# Definitions

EXE =		libmpi.a
OBJ = 		$(SRC:.c=.o)

# System-specific settings

CC =		g++
CCFLAGS =	-O
ARCHIVE =	ar
ARCHFLAG =	rs

# Target

$(EXE):	$(OBJ)
	$(ARCHIVE) $(ARCHFLAG) $(EXE) $(OBJ)

# Clean

clean:
	rm *.o libmpi.a

# Compilation rules

.cpp.o:
	$(CC) $(CCFLAGS) -c $<

# Individual dependencies

$(OBJ):	$(INC)

=== src/Makefile ===
# MR-MPI library multiple-machine Makefile

SHELL = /bin/sh
#.IGNORE:

# Definitions

ROOT =	mrmpi
EXE =	lib$(ROOT)_$@.a
SRC =	$(wildcard *.cpp)
INC =	$(wildcard *.h)
OBJ = 	$(SRC:.cpp=.o)

# List of all targets

help:
	@echo ''
	@echo 'make clean-all           delete all object files'
	@echo 'make clean-machine       delete object files for one machine'
	@echo 'make tar                 mrmpi_src.tar.gz of src dir'
	@echo ''
	@echo 'make machine             build MRMPI where machine is one of:'
	@echo ''
	@files="`ls MAKE/Makefile.*`"; \
	  for file in $$files; do head -1 $$file; done
	@echo ''

# Build the code

.DEFAULT:
	@test -f MAKE/Makefile.$@
	@if [ ! -d Obj_$@ ]; then mkdir Obj_$@; fi
	@cp -p $(SRC) $(INC) Obj_$@
	@cp MAKE/Makefile.$@ Obj_$@/Makefile
	@cd Obj_$@; \
	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" "EXE = ../$(EXE)" lib
	@if [ -d Obj_$@ ]; then cd Obj_$@; rm -f $(SRC) $(INC) Makefile*; fi

# Remove machine-specific object files

clean:
	@echo 'make clean-all           delete all object files'
	@echo 'make clean-machine       delete object files for one machine'

clean-all:
	rm -rf Obj_*

clean-%:
	rm -rf Obj_$(@:clean-%=%)

# Create a tarball of this dir

tar:
	@cd ..; tar cvzf src/$(ROOT)_src.tar.gz \
	  src/Make* src/MAKE src/*.cpp src/*.h --exclude=*/.svn
	@echo "Created $(ROOT)_src.tar.gz"

## mrmpi 1.0~20110620

=== debian/changelog ===
mrmpi (1.0~20110620-1) experimental; urgency=low

  * Initial Debian Upload (Closes: #646757)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 26 Oct 2011 19:44:12 +0200

=== debian/control ===
Source: mrmpi
Section: devel
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>, Dominique Belhachemi <domibel@debian.org>
Build-Depends: debhelper (>= 8), cmake (>= 2.6.3), mpi-default-dev
Standards-Version: 3.9.2
Homepage: http://www.cs.sandia.gov/~sjplimp/mapreduce.html
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/mrmpi/trunk/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/mrmpi/trunk/

Package: libmrmpi-dev
Section: libdevel
Architecture: any
Depends: libmrmpi1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Implements MapReduce operation on top of standard MPI message - development
 The MapReduce-MPI (MR-MPI) library is open-source software that implements the
 MapReduce operation popularized by Google on top of standard MPI message
 passing.
 .
 The MR-MPI library is written in C++ and is callable from hi-level langauges
 such as C++, C, Fortran. A Python wrapper is also included, so MapReduce
 programs can be written in Python, including map() and reduce() user callback
 methods. A hi-level scripting interface to the MR-MPI library, called OINK, is
 also included which can be used to develop and chain MapReduce algorithms
 together in scripts with commands that simplify data management tasks. OINK has
 its own manual and doc pages.
 .
 This package contains development files needed to build MapReduce-MPI
 applications.

Package: libmrmpi1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Implements MapReduce operation on top of standard MPI message - runtime
 The MapReduce-MPI (MR-MPI) library is open-source software that implements the
 MapReduce operation popularized by Google on top of standard MPI message
 passing.
 .
 The MR-MPI library is written in C++ and is callable from hi-level langauges
 such as C++, C, Fortran. A Python wrapper is also included, so MapReduce
 programs can be written in Python, including map() and reduce() user callback
 methods. A hi-level scripting interface to the MR-MPI library, called OINK, is
 also included which can be used to develop and chain MapReduce algorithms
 together in scripts with commands that simplify data management tasks. OINK has
 its own manual and doc pages.
 .
 This package contains the libraries needed to run MapReduce-MPI applications.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

CMAKE_FLAGS = \
	-DCMAKE_BUILD_TYPE:STRING=RELEASE \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DBUILD_SHARED_LIBS:BOOL=ON \
	-DVTK_INSTALL_EXPORT_NAME:STRING=mrmpi \
	-DVTK_LIBRARY_PROPERTIES:STRING="VERSION;1;SOVERSION;1" \
	-DVTK_INSTALL_INCLUDE_DIR_CM24:STRING=include \
	-DVTK_INSTALL_BIN_DIR_CM24:STRING=bin \
	-DVTK_INSTALL_LIB_DIR_CM24:STRING=lib \
	-DVTK_USE_MPI:BOOL=ON

pkg_run = libmrmpi1
pkg_dev = libmrmpi-dev

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_install:
	# Runtime Package
	dh_install -p$(pkg_run) usr/lib/lib*.so.*
	# Development Package
	dh_install -p$(pkg_dev) usr/include
	dh_install -p$(pkg_dev) usr/lib/lib*.so

VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)

UPSTREAM_SRC = mrmpi
UPSTREAM_SRC_DIR = mrmpi-20Jun11
DEBIAN_SRC_DIR = mrmpi-$(VER_FULL)
DEBIAN_SRC_TAR = mrmpi_$(VER_FULL).orig.tar.gz

$(UPSTREAM_SRC).tar.gz:
	wget http://www.cs.sandia.gov/~sjplimp/tars/$@

get-orig-source: $(UPSTREAM_SRC).tar.gz
	tar xzf $(UPSTREAM_SRC).tar.gz
	mv $(UPSTREAM_SRC_DIR) $(DEBIAN_SRC_DIR)
	rm $(DEBIAN_SRC_DIR)/oinkdoc/Manual.pdf
	rm $(DEBIAN_SRC_DIR)/doc/Manual.pdf
	GZIP="--best --no-name" tar czf $(DEBIAN_SRC_TAR) $(DEBIAN_SRC_DIR)

=== debian/watch ===
version=3
http://www.cs.sandia.gov/~sjplimp/tars/mrmpi([\d\.]*)\.tar\.gz

## mrmpi 1.0~20110620.dfsg

=== debian/changelog ===
mrmpi (1.0~20110620.dfsg-2) unstable; urgency=low

  * Use some tricks to please buildds.

 -- Mathieu Malaterre <malat@debian.org>  Mon, 02 Apr 2012 22:40:12 +0200

mrmpi (1.0~20110620.dfsg-1) unstable; urgency=low

  * Build documentation (add mrmpi-doc package)
  * Remove DMUA flag, not required
  * Use my d.o alias

 -- Mathieu Malaterre <malat@debian.org>  Fri, 30 Mar 2012 11:01:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>, Dominique Belhachemi <domibel@debian.org>
+Uploaders: Mathieu Malaterre <malat@debian.org>, Dominique Belhachemi <domibel@debian.org>
 Build-Depends: debhelper (>= 8), cmake (>= 2.6.3), mpi-default-dev
-Standards-Version: 3.9.2
-Homepage: http://www.cs.sandia.gov/~sjplimp/mapreduce.html
+Build-Depends-Indep: htmldoc, python
+Standards-Version: 3.9.3
+Homepage: http://mapreduce.sandia.gov/
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/mrmpi/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/mrmpi/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-science/packages/mrmpi/trunk/
 
 Package: libmrmpi-dev
 Section: libdevel
@@ -48,3 +48,21 @@
  .
  This package contains the libraries needed to run MapReduce-MPI applications.
 
+Package: mrmpi-doc
+Architecture: all
+Depends: ${misc:Depends}, doc-base
+Section: doc
+Description: Implements MapReduce operation on top of standard MPI message - doc
+ The MapReduce-MPI (MR-MPI) library is open-source software that implements the
+ MapReduce operation popularized by Google on top of standard MPI message
+ passing.
+ .
+ The MR-MPI library is written in C++ and is callable from hi-level langauges
+ such as C++, C, Fortran. A Python wrapper is also included, so MapReduce
+ programs can be written in Python, including map() and reduce() user callback
+ methods. A hi-level scripting interface to the MR-MPI library, called OINK, is
+ also included which can be used to develop and chain MapReduce algorithms
+ together in scripts with commands that simplify data management tasks. OINK has
+ its own manual and doc pages.
+ .
+ This package contains the documentation for MapReduce-MPI libraries.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 -include /usr/share/dpkg/buildflags.mk
 
 CMAKE_FLAGS = \
-	-DCMAKE_BUILD_TYPE:STRING=RELEASE \
+	-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DBUILD_SHARED_LIBS:BOOL=ON \
 	-DVTK_INSTALL_EXPORT_NAME:STRING=mrmpi \
@@ -16,19 +16,67 @@
 
 pkg_run = libmrmpi1
 pkg_dev = libmrmpi-dev
+pkg_doc = mrmpi-doc
+
+# http://asylum.madhouse-project.org/blog/2012/01/26/buildd-workarounds/
+build: ;
 
 %:
 	dh $@ --buildsystem=cmake --parallel
 
-override_dh_auto_configure:
+override_dh_auto_configure-arch:
 	dh_auto_configure -- $(CMAKE_FLAGS)
+override_dh_auto_build-arch:
+	dh_auto_build
 
-override_dh_install:
+override_dh_compress:
+	dh_compress -X.pdf
+
+override_dh_auto_clean:
+	rm -f mrmpi_txt2html
+	rm -f doc/Manual.pdf
+	rm -f doc/*.html
+	rm -f oinkdoc/Manual.pdf
+	rm -f oinkdoc/*.html
+	dh_auto_clean
+
+override_dh_install-arch:
 	# Runtime Package
 	dh_install -p$(pkg_run) usr/lib/lib*.so.*
 	# Development Package
 	dh_install -p$(pkg_dev) usr/include
 	dh_install -p$(pkg_dev) usr/lib/lib*.so
+
+override_dh_auto_configure-indep: ;
+override_dh_auto_test-indep: ;
+override_dh_auto_install-indep: ;
+
+# Let's be smart with building doc
+override_dh_auto_build-indep:
+	# Need a custom txt2html
+	g++ ./txt2html/txt2html.cpp -o mrmpi_txt2html
+	# 1. MapReduceMPI:
+	# Generate html file for PDF:
+	./mrmpi_txt2html -b doc/*.txt
+	# Generate PDF from HTML
+	(cd doc && htmldoc --title --toctitle "Table of Contents" --tocfooter ..i --toclevels 4 \
+		--header ... --footer ..1 --size letter --linkstyle plain --linkcolor blue -f \
+		Manual.pdf Manual.html Background.html Whatis.html Start.html Program.html \
+		Interface_c++.html [a-z]*.html Interface_c.html Interface_python.html \
+		Interface_oink.html Technical.html Examples.html)
+	# Generate clean HTML files:
+	./mrmpi_txt2html doc/*.txt
+	# 2. OINK:
+	(cd oinkdoc && python Manual.py)
+	./mrmpi_txt2html -b oinkdoc/*.txt
+	(cd oinkdoc && htmldoc --title --toctitle "Table of Contents" --tocfooter ..i --toclevels 4 \
+		--header ... --footer ..1 --size letter --linkstyle plain --linkcolor blue -f \
+		Manual.pdf Manual.html Section_build.html Section_script.html \
+		Section_functions.html Section_commands.html Section_errors.html [a-z]*.html)
+	./mrmpi_txt2html oinkdoc/*.txt
+
+# No tests needed for docs
+override_dh_auto_test-indep:
 
 VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
 
@@ -37,12 +85,21 @@
 DEBIAN_SRC_DIR = mrmpi-$(VER_FULL)
 DEBIAN_SRC_TAR = mrmpi_$(VER_FULL).orig.tar.gz
 
-$(UPSTREAM_SRC).tar.gz:
+txt2html.tar.gz:
+	wget http://www.cs.sandia.gov/~sjplimp/tars/$@
+
+$(UPSTREAM_SRC).tar.gz: txt2html.tar.gz
 	wget http://www.cs.sandia.gov/~sjplimp/tars/$@
 
 get-orig-source: $(UPSTREAM_SRC).tar.gz
 	tar xzf $(UPSTREAM_SRC).tar.gz
 	mv $(UPSTREAM_SRC_DIR) $(DEBIAN_SRC_DIR)
 	rm $(DEBIAN_SRC_DIR)/oinkdoc/Manual.pdf
+	rm $(DEBIAN_SRC_DIR)/oinkdoc/*.html
 	rm $(DEBIAN_SRC_DIR)/doc/Manual.pdf
+	rm $(DEBIAN_SRC_DIR)/doc/*.html
+	tar xfz txt2html.tar.gz -C $(DEBIAN_SRC_DIR)
 	GZIP="--best --no-name" tar czf $(DEBIAN_SRC_TAR) $(DEBIAN_SRC_DIR)
+	rm -rf $(DEBIAN_SRC_DIR)
+	rm $(UPSTREAM_SRC).tar.gz
+	rm txt2html.tar.gz

## mrmpi 1.0~20130311

=== debian/changelog ===
mrmpi (1.0~20130311-2) unstable; urgency=low

  * Make sure to remove mpi exported symbols
  * Fix d/watch

 -- Mathieu Malaterre <malat@debian.org>  Sun, 09 Jun 2013 11:04:43 +0200

mrmpi (1.0~20130311-1) unstable; urgency=low

  * New upstream. Add d/watch helper
  * Bump Std-Vers to 3.9.4, no changes needed
  * Use new hardening from dh/9
  * Avoid CMake/RelWithDebInfo/NDEBUG issue
  * Add symbols file
  * Make package multi-arch

 -- Mathieu Malaterre <malat@debian.org>  Fri, 07 Jun 2013 16:02:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>, Dominique Belhachemi <domibel@debian.org>
-Build-Depends: debhelper (>= 8), cmake (>= 2.6.3), mpi-default-dev
+Build-Depends: debhelper (>= 9), cmake (>= 2.6.3), mpi-default-dev
 Build-Depends-Indep: htmldoc, python
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://mapreduce.sandia.gov/
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/mrmpi/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-science/packages/mrmpi/trunk/
@@ -13,7 +13,7 @@
 Package: libmrmpi-dev
 Section: libdevel
 Architecture: any
-Depends: libmrmpi1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libmrmpi1 (= ${binary:Version}), ${misc:Depends}
 Description: Implements MapReduce operation on top of standard MPI message - development
  The MapReduce-MPI (MR-MPI) library is open-source software that implements the
  MapReduce operation popularized by Google on top of standard MPI message
@@ -31,8 +31,10 @@
  applications.
 
 Package: libmrmpi1
+Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Implements MapReduce operation on top of standard MPI message - runtime
  The MapReduce-MPI (MR-MPI) library is open-source software that implements the
  MapReduce operation popularized by Google on top of standard MPI message

=== debian/rules ===
--- 
+++ 
@@ -1,33 +1,27 @@
 #!/usr/bin/make -f
 
-DPKG_EXPORT_BUILDFLAGS = 1
--include /usr/share/dpkg/buildflags.mk
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-CMAKE_FLAGS = \
-	-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
-	-DCMAKE_SKIP_RPATH:BOOL=ON \
+CMAKE_EXTRA_FLAGS = \
+	-DCMAKE_BUILD_TYPE:STRING="" \
 	-DBUILD_SHARED_LIBS:BOOL=ON \
 	-DVTK_INSTALL_EXPORT_NAME:STRING=mrmpi \
 	-DVTK_LIBRARY_PROPERTIES:STRING="VERSION;1;SOVERSION;1" \
 	-DVTK_INSTALL_INCLUDE_DIR_CM24:STRING=include \
 	-DVTK_INSTALL_BIN_DIR_CM24:STRING=bin \
-	-DVTK_INSTALL_LIB_DIR_CM24:STRING=lib \
+	-DVTK_INSTALL_LIB_DIR_CM24:STRING=lib/$(DEB_HOST_MULTIARCH) \
 	-DVTK_USE_MPI:BOOL=ON
 
 pkg_run = libmrmpi1
 pkg_dev = libmrmpi-dev
 pkg_doc = mrmpi-doc
 
-# http://asylum.madhouse-project.org/blog/2012/01/26/buildd-workarounds/
-build: ;
-
 %:
 	dh $@ --buildsystem=cmake --parallel
 
-override_dh_auto_configure-arch:
-	dh_auto_configure -- $(CMAKE_FLAGS)
-override_dh_auto_build-arch:
-	dh_auto_build
+override_dh_auto_configure:
+	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)
 
 override_dh_compress:
 	dh_compress -X.pdf
@@ -42,14 +36,10 @@
 
 override_dh_install-arch:
 	# Runtime Package
-	dh_install -p$(pkg_run) usr/lib/lib*.so.*
+	dh_install -p$(pkg_run) usr/lib/$(DEB_HOST_MULTIARCH)/lib*.so.*
 	# Development Package
 	dh_install -p$(pkg_dev) usr/include
-	dh_install -p$(pkg_dev) usr/lib/lib*.so
-
-override_dh_auto_configure-indep: ;
-override_dh_auto_test-indep: ;
-override_dh_auto_install-indep: ;
+	dh_install -p$(pkg_dev) usr/lib/$(DEB_HOST_MULTIARCH)/lib*.so
 
 # Let's be smart with building doc
 override_dh_auto_build-indep:
@@ -81,7 +71,7 @@
 VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
 
 UPSTREAM_SRC = mrmpi
-UPSTREAM_SRC_DIR = mrmpi-20Jun11
+UPSTREAM_SRC_DIR = mrmpi-11Mar13
 DEBIAN_SRC_DIR = mrmpi-$(VER_FULL)
 DEBIAN_SRC_TAR = mrmpi_$(VER_FULL).orig.tar.gz

=== debian/watch ===
version=3
opts=uversionmangle=s/^(\d{2})([A-Za-z]+)2?0?(\d{2})/20$3$2$1/ \
http://mapreduce.sandia.gov/bug.html \
  patches/files.(.*)

## mrmpi 1.0~20130917

=== debian/changelog ===
mrmpi (1.0~20130917-1) unstable; urgency=low

  * New upstream, minor fix for python wrapper

 -- Mathieu Malaterre <malat@debian.org>  Sun, 13 Oct 2013 14:49:22 +0200

mrmpi (1.0~20130311-3) unstable; urgency=low

  * Remove symbols file for now

 -- Mathieu Malaterre <malat@debian.org>  Mon, 10 Jun 2013 09:07:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -71,7 +71,7 @@
 VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
 
 UPSTREAM_SRC = mrmpi
-UPSTREAM_SRC_DIR = mrmpi-11Mar13
+UPSTREAM_SRC_DIR = mrmpi-17Sep13
 DEBIAN_SRC_DIR = mrmpi-$(VER_FULL)
 DEBIAN_SRC_TAR = mrmpi_$(VER_FULL).orig.tar.gz

## mrmpi 1.0~20131122

=== oink/Makefile ===
# OINK multiple-machine Makefile

SHELL = /bin/sh
#.IGNORE:

# Definitions

ROOT =	oink
EXE =	$(ROOT)_$@
SRC =	$(wildcard *.cpp)
INC =	$(wildcard *.h)
OBJ = 	$(SRC:.cpp=.o)

# List of all targets

help:
	@echo ''
	@echo 'make clean-all           delete all object files'
	@echo 'make clean-machine       delete object files for one machine'
	@echo 'make tar                 oink_src.tar.gz of src dir'
	@echo 'make makelib             update Makefile.lib for library build'
	@echo 'make makelist            update Makefile.list used by old makes'
	@echo ''
	@echo 'make machine             build OINK where machine is one of:'
	@echo ''
	@files="`ls MAKE/Makefile.*`"; \
	  for file in $$files; do head -1 $$file; done
	@echo ''

# Build the code

.DEFAULT:
	@test -f MAKE/Makefile.$@
	@if [ ! -d Obj_$@ ]; then mkdir Obj_$@; fi
	@python Make.py
	@cp -p *.cpp *.h Obj_$@
	@cp MAKE/Makefile.$@ Obj_$@/Makefile
	@cd Obj_$@; \
	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" "EXE = ../$(EXE)" ../$(EXE)
	@if [ -d Obj_$@ ]; then cd Obj_$@; rm -f $(SRC) $(INC) Makefile*; fi

# Remove machine-specific object files

clean:
	@echo 'make clean-all           delete all object files'
	@echo 'make clean-machine       delete object files for one machine'

clean-all:
	rm -rf Obj_*

clean-%:
	rm -rf Obj_$(@:clean-%=%)

# Create a tarball of this dir

tar:
	@cd ..; tar cvzf src/$(ROOT)_src.tar.gz \
	  src/Make* src/MAKE src/*.cpp src/*.h --exclude=*/.svn
	@echo "Created $(ROOT)_src.tar.gz"

# Update Makefile.lib and Makefile.list

makelib:
	@$(SHELL) Make.sh style
	@$(SHELL) Make.sh Makefile.lib

makelist:
	@$(SHELL) Make.sh style
	@$(SHELL) Make.sh Makefile.list

=== debian/changelog ===
mrmpi (1.0~20131122-1build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Dec 2013 14:26:51 -0500

mrmpi (1.0~20131122-1) unstable; urgency=low

  * New upstream
  * Set CMAKE_BUILD_TYPE explicitely to None
  * Bump Std-Vers to 3.9.5, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 11 Dec 2013 09:44:14 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 CMAKE_EXTRA_FLAGS = \
-	-DCMAKE_BUILD_TYPE:STRING="" \
+	-DCMAKE_BUILD_TYPE:STRING=None \
 	-DBUILD_SHARED_LIBS:BOOL=ON \
 	-DVTK_INSTALL_EXPORT_NAME:STRING=mrmpi \
 	-DVTK_LIBRARY_PROPERTIES:STRING="VERSION;1;SOVERSION;1" \
@@ -71,7 +71,7 @@
 VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
 
 UPSTREAM_SRC = mrmpi
-UPSTREAM_SRC_DIR = mrmpi-17Sep13
+UPSTREAM_SRC_DIR = mrmpi-22Nov13
 DEBIAN_SRC_DIR = mrmpi-$(VER_FULL)
 DEBIAN_SRC_TAR = mrmpi_$(VER_FULL).orig.tar.gz

## mrmpi 1.0~20140404

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# MR-MPI library multiple-machine Makefile
+# MR-MPI static library multiple-machine Makefile
 
 SHELL = /bin/sh
 #.IGNORE:
@@ -18,8 +18,13 @@
 	@echo 'make clean-all           delete all object files'
 	@echo 'make clean-machine       delete object files for one machine'
 	@echo 'make tar                 mrmpi_src.tar.gz of src dir'
+	@echo 'make stubs               build dummy MPI library in mpistubs'
+	@echo 'make install-python      install MR-MPI wrapper in Python'
+
 	@echo ''
-	@echo 'make machine             build MRMPI where machine is one of:'
+	@echo 'make -f Makefile.shlib machine    build MR-MPI shared library for machine'
+	@echo 'make machine             build MR-MPI static library for machine:'
+
 	@echo ''
 	@files="`ls MAKE/Makefile.*`"; \
 	  for file in $$files; do head -1 $$file; done
@@ -33,7 +38,8 @@
 	@cp -p $(SRC) $(INC) Obj_$@
 	@cp MAKE/Makefile.$@ Obj_$@/Makefile
 	@cd Obj_$@; \
-	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" "EXE = ../$(EXE)" lib
+	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" "SHFLAGS =" \
+	  "EXE = ../$(EXE)" lib
 	@if [ -d Obj_$@ ]; then cd Obj_$@; rm -f $(SRC) $(INC) Makefile*; fi
 
 # Remove machine-specific object files
@@ -54,3 +60,13 @@
 	@cd ..; tar cvzf src/$(ROOT)_src.tar.gz \
 	  src/Make* src/MAKE src/*.cpp src/*.h --exclude=*/.svn
 	@echo "Created $(ROOT)_src.tar.gz"
+
+# Make MPI STUBS library
+
+stubs:
+	@cd STUBS; make clean; make
+
+# install MR-MPI shared lib and Python wrapper for Python usage
+
+install-python:
+	@python ../python/install.py

=== debian/changelog ===
mrmpi (1.0~20140404-3) unstable; urgency=medium

  * Team upload.
  * Switch to debhelper-compat (= 12).
  * Add Rules-Requires-Root: no.
  * Switch build system over to Python 3 (Closes: #943183).

 -- Stuart Prescott <stuart@debian.org>  Sat, 25 Jan 2020 23:24:43 +1100

mrmpi (1.0~20140404-2) unstable; urgency=medium

  * Team upload.

  [ Mathieu Malaterre ]
  * Remove self from Uploaders

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * debhelper 11
  * Standards-Version: 4.1.3
  * Fix spelling in short description
  * DEP3
  * DEP5

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2018 15:41:19 +0100

mrmpi (1.0~20140404-1) unstable; urgency=low

  * New upstream

 -- Mathieu Malaterre <malat@debian.org>  Wed, 09 Apr 2014 21:25:51 +0200

=== debian/control ===
Source: mrmpi
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dominique Belhachemi <domibel@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               mpi-default-dev
Build-Depends-Indep: htmldoc,
                     python3
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/mrmpi
Vcs-Git: https://salsa.debian.org/science-team/mrmpi.git
Homepage: http://mapreduce.sandia.gov/
Rules-Requires-Root: no

Package: libmrmpi-dev
Architecture: any
Section: libdevel
Depends: libmrmpi1 (= ${binary:Version}),
         ${misc:Depends}
Description: Implements MapReduce operation on top of standard MPI message - development
 The MapReduce-MPI (MR-MPI) library is open-source software that implements the
 MapReduce operation popularized by Google on top of standard MPI message
 passing.
 .
 The MR-MPI library is written in C++ and is callable from hi-level languages
 such as C++, C, Fortran. A Python wrapper is also included, so MapReduce
 programs can be written in Python, including map() and reduce() user callback
 methods. A hi-level scripting interface to the MR-MPI library, called OINK, is
 also included which can be used to develop and chain MapReduce algorithms
 together in scripts with commands that simplify data management tasks. OINK has
 its own manual and doc pages.
 .
 This package contains development files needed to build MapReduce-MPI
 applications.

Package: libmrmpi1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Implements MapReduce operation on top of standard MPI message - runtime
 The MapReduce-MPI (MR-MPI) library is open-source software that implements the
 MapReduce operation popularized by Google on top of standard MPI message
 passing.
 .
 The MR-MPI library is written in C++ and is callable from hi-level languages
 such as C++, C, Fortran. A Python wrapper is also included, so MapReduce
 programs can be written in Python, including map() and reduce() user callback
 methods. A hi-level scripting interface to the MR-MPI library, called OINK, is
 also included which can be used to develop and chain MapReduce algorithms
 together in scripts with commands that simplify data management tasks. OINK has
 its own manual and doc pages.
 .
 This package contains the libraries needed to run MapReduce-MPI applications.

Package: mrmpi-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         doc-base
Description: Implements MapReduce operation on top of standard MPI message - doc
 The MapReduce-MPI (MR-MPI) library is open-source software that implements the
 MapReduce operation popularized by Google on top of standard MPI message
 passing.
 .
 The MR-MPI library is written in C++ and is callable from hi-level languages
 such as C++, C, Fortran. A Python wrapper is also included, so MapReduce
 programs can be written in Python, including map() and reduce() user callback
 methods. A hi-level scripting interface to the MR-MPI library, called OINK, is
 also included which can be used to develop and chain MapReduce algorithms
 together in scripts with commands that simplify data management tasks. OINK has
 its own manual and doc pages.
 .
 This package contains the documentation for MapReduce-MPI libraries.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 pkg_doc = mrmpi-doc
 
 %:
-	dh $@ --buildsystem=cmake --parallel
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)
@@ -57,7 +57,7 @@
 	# Generate clean HTML files:
 	./mrmpi_txt2html doc/*.txt
 	# 2. OINK:
-	(cd oinkdoc && python Manual.py)
+	(cd oinkdoc && python3 Manual.py)
 	./mrmpi_txt2html -b oinkdoc/*.txt
 	(cd oinkdoc && htmldoc --title --toctitle "Table of Contents" --tocfooter ..i --toclevels 4 \
 		--header ... --footer ..1 --size letter --linkstyle plain --linkcolor blue -f \
@@ -71,7 +71,7 @@
 VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
 
 UPSTREAM_SRC = mrmpi
-UPSTREAM_SRC_DIR = mrmpi-22Nov13
+UPSTREAM_SRC_DIR = mrmpi-7Apr14
 DEBIAN_SRC_DIR = mrmpi-$(VER_FULL)
 DEBIAN_SRC_TAR = mrmpi_$(VER_FULL).orig.tar.gz
